## GITATTRIBUTES FOR WEB PROJECTS
#
# These settings are for any web project.
#
# Details per file setting:
#   text    These files should be normalized (i.e. convert CRLF to LF).
#   binary  These files are binary and should be left untouched.
#
# Note that binary is a macro for -text -diff.
######################################################################

# Auto detect
##   Handle line endings automatically for files detected as
##   text and leave all files detected as binary untouched.
##   This will handle all files NOT defined below.
*                 text=auto

# Source code
*.json            text eol=lf
*.sql             text eol=lf
*.ts              text eol=lf
*.xml             text eol=lf

# Docker
Dockerfile        text eol=lf

# Documentation
*.markdown        text diff=markdown
*.md              text diff=markdown
*.txt             text
AUTHORS           text
CHANGELOG         text
CHANGES           text
CONTRIBUTING      text
COPYING           text
copyright         text
*COPYRIGHT*       text
INSTALL           text
license           text
LICENSE           text
NEWS              text
readme            text
*README*          text
TODO              text

# Configs
*.conf            text
*.config          text
.editorconfig     text
.env              text eol=lf
.gitattributes    text
.gitconfig        text
*.lock            text -diff
package.json      text eol=lf
package-lock.json text eol=lf -diff
pnpm-lock.yaml    text eol=lf -diff
.prettierrc       text
yarn.lock         text -diff
*.yaml            text
*.yml             text
# Fixes syntax highlighting on GitHub to allow comments
tsconfig.json     linguist-language=JSON-with-Comments

# Graphics
*.jpg             binary
*.jpeg            binary
*.pdf             binary
*.png             binary
# SVG treated as an asset (binary) by default.
*.svg             text

# Ignore files (like .npmignore or .gitignore)
*.*ignore         text

# Prevents massive diffs from built files
dist/*            binary
